@tailwind base;

html,
body,
#routify-app {
	@apply h-full;
}

body {
	font-family: "Roboto";
}

input[type="checkbox"] {
	@apply align-middle;
}

summary {
	@apply cursor-pointer;
}

@tailwind components;

.alert {
	@apply p-4 bg-red-200 text-red-900;
}

.btn {
	@apply bg-white border px-2 py-1 rounded;
}

.btn:hover {
	@apply bg-gray-100;
}

.btn[disabled] {
	@apply cursor-not-allowed;
}

.btn-primary {
	@apply bg-toutafrique-blue font-bold text-gray-100;
}

.btn-primary:hover {
	@apply bg-blue-800;
}

.btn-link:hover {
	@apply underline;
}

.border-left-toggle {
	@apply border-l-4 border-transparent pl-2;
}

.border-left-toggle:hover {
	@apply border-toutafrique-red  text-white;
}

.border-left-toggle.selected {
	@apply border-toutafrique-red;
}

.border-left-toggle.selected:hover {
	@apply border-red-500;
}

.card {
	@apply border-2 rounded shadow-lg bg-white px-4 py-2;
}

.link {
	@apply text-blue-600 underline;
}

@tailwind utilities;
